Bug 6640 - (int-150265) Mediaplayer fails to play m4a podcast with low-fps videostream
(int-150265)
: Mediaplayer fails to play m4a podcast with low-fps videostream
Status: REOPENED
Product: Multimedia
gstreamer
: 5.0:(10.2010.19-1)
: N900 Maemo
: Low normal with 7 votes (vote)
: 5.0+
Assigned To: unassigned
: gstreamer-bugs
:
: upstream
:
:
  Show dependency tree
 
Reported: 2009-12-06 23:07 UTC by Percy Leonhardt
Modified: 2010-06-11 13:37 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Percy Leonhardt (reporter) 2009-12-06 23:07:32 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
1. start mediaplayer
2. select a m4a file
3. try to start play back

EXPECTED OUTCOME:
The file should start playing like other files e.g. mp3. According to the
manual m4a is a supported file format.

ACTUAL OUTCOME:
The play back window (with the turn table) opens, but the play back is not
starting. Neither audible nor visible. Selecting the play button again
sometimes results in a short switch to the task manager where I can see two
instances of the mediaplayer. One of the instances is immediately closed.

REPRODUCIBILITY:
Always using m4a files from 3 different sources.

EXTRA SOFTWARE INSTALLED:
Only some desktop widgets from Maemo Extras, nothing from Testing or Devel.

OTHER COMMENTS:
Examples of non-working files can be found here:
http://podcast.hospitalrecords.com/HospitalRecordsPodcast.xml

User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.9.1.5)
Gecko/20091109 Ubuntu/9.10 (karmic) Firefox/3.0.4, Ant.com Toolbar 1.1
Comment 1 Andre Klapper maemo.org 2009-12-07 13:31:31 UTC
Thanks for reporting this! Confirming.

> EXACT STEPS LEADING TO PROBLEM: 
> 1. start mediaplayer
> 2. select a m4a file
> 3. try to start play back

This is missing steps. Did you download the file first?

What I tried here is:
1. Start the browser
2. Go to http://podcast.hospitalrecords.com/hp101.m4a
3. Choose "Open with Media Player".
4. See Media Player buffering / connecting, being stuck at 00:00, and trying
again a few times. Tried for a few minutes.

Interestingly, trying this in the terminal by using
   gst-launch playbin2 uri=http://podcast.hospitalrecords.com/hp101.m4a
works for me in internal version 49-3 as both audio and video start in a
reasonible time.
Comment 2 Percy Leonhardt (reporter) 2009-12-07 15:45:08 UTC
> This is missing steps. Did you download the file first?

I have this podcast subscribed on my PC so I simply copied the file over to the
music folder via USB.

The same for the other m4a files I've tried.
Comment 3 Percy Leonhardt (reporter) 2009-12-07 18:45:10 UTC
Here is another podcast with m4a files that do not work:

http://www.radio538.nl/538/xml/rss/dancedepartment.jsp
Comment 5 Percy Leonhardt (reporter) 2010-01-18 14:35:10 UTC
I downloaded "gst-plugins-base0.10_0.10.25-0maemo7+0m5.tar.gz" and applied the
patch mentioned above:

- if (!need_vis && !need_text && playsink->text_pad == NULL) {
+ if (!need_vis && !need_text) {

I build the package and installed
"gstreamer0.10-plugins-base_0.10.25-0maemo7+0m5_armel.deb" with "dkpg -i". This
package contains "libgstplaybin.so" so it should be enough to get the fix
installed.

I checked again with my M4A files and now the mediaplayer immediately closes
jumping to the next M4A file. I can hear no sound but sometimes I can see the
contained image for a short period. So all I get is mediaplayer cycling through
all M4A files from the start position to last file. MP3 is still working so my
new package shouldn't have broken the mediaplayer.

Did I make a wrong assumption about what needs to be patched or which files
need to be installed? Or does this fix simply not work?
Comment 6 Veix 2010-02-02 16:40:36 UTC
Same problem with this podcast
http://iax.podomatic.com/enclosure/2010-01-20T09_28_49-08_00.m4a
Comment 7 Andre Klapper maemo.org 2010-04-23 22:03:41 UTC
According to internal testing this is the same issue as bug 8129.

*** This bug has been marked as a duplicate of bug 8129 ***
Comment 8 Andre Klapper maemo.org 2010-04-23 22:04:08 UTC
Argh. Ignore my last comment.
Comment 9 Andre Klapper maemo.org 2010-04-23 22:05:07 UTC
*** Bug 8129 has been marked as a duplicate of this bug. ***
Comment 10 Paul van Tilburg 2010-05-26 21:34:22 UTC
(In reply to comment #5)
> I checked again with my M4A files and now the mediaplayer immediately closes
> jumping to the next M4A file. I can hear no sound but sometimes I can see the
> contained image for a short period. So all I get is mediaplayer cycling through
> all M4A files from the start position to last file. MP3 is still working so my
> new package shouldn't have broken the mediaplayer.

This is exactly what I have too now that I have updated to PR 1.2.
So it's still reproducible.